### A free/open-source library for quantitative finance

NewZealand Class Reference
Calendars

New Zealand calendar. More...

`#include <ql/time/calendars/newzealand.hpp>`

Inheritance diagram for NewZealand:
[legend]

List of all members.

## Detailed Description

New Zealand calendar.

Holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday or Tuesday)
- Day after New Year's Day, January 2st (possibly moved to Monday or Tuesday)
- Anniversary Day, Monday nearest January 22nd
- Waitangi Day. February 6th
- Good Friday
- Easter Monday
- ANZAC Day. April 25th
- Queen's Birthday, first Monday in June
- Labour Day, fourth Monday in October
- Christmas, December 25th (possibly moved to Monday or Tuesday)
- Boxing Day, December 26th (possibly moved to Monday or Tuesday)

Note:
  The holiday rules for New Zealand were documented by David Gilbert for IDB (http://www.jrefinery.com/ibd/)